Subject: Re: [Uri-review] draft-merrick-jms-uri-01.txt

From: "Mark Baker" <[email-masked]>
Date: Mon, 3 Mar 2008 11:17:59 -0500

Hi Eric,

On Fri, Feb 29, 2008 at 2:28 PM, Eric Johnson <[email-masked]> wrote:
>  > Right.  But it does ask what operations can be performed on the thing
>  > identified by the URI.  I don't think that leaves much room for
>  > interpretation, whether or not you use the language "application layer
>  > operation".
>  >
>  Hmmm.  Now I cannot figure out whether there are *additional* terms we
>  somehow don't agree on.  In the email that lead to this thread, we
>  suggested a further revision to our 01 revision of the JMS URI scheme
>  that includes the following text - text which unfortunately been dropped
>  in the email exchanges leading to this one:
>
>  "The operations which can be performed on the ConnectionFactory and
>
> Destination resources are defined by the JMS specification and so a
>
> detailed description is outside the scope of this specification, but a
>  JMS application typically uses a ConnectionFactory to create a
>  connection to a messaging provider, and sends and receives messages to
>  and from Destinations."
>
>  There it is - the available operations defined.  What am I missing?

When I looked at the JMS spec, what I found was these;

http://java.sun.com/j2ee/sdk_1.3/techdocs/api/javax/jms/ConnectionFactory.html
http://java.sun.com/j2ee/sdk_1.3/techdocs/api/javax/jms/Destination.html

Is that what you meant?

AFAICT, those are just local programmatic operations, not remote ones, no?

>  > Avoiding "application layer" - sorry for muddying the waters with a
>  > confusing term - yes, the send operation is the kind of operation
>  > which should be documented with the registration.
>  >
>  Clearly it would be a mistake to inline the contents of a normative
>  reference describing those references in detail, and the reference from
>  the suggested text above is preferable, no?

Sure.  But which exactly part of the spec are you referencing (if not
what I reference above)?

Thanks.

Mark.
-- 
Mark Baker.  Ottawa, Ontario, CANADA.         http://www.markbaker.ca
Coactus; Web-inspired integration strategies  http://www.coactus.com
_______________________________________________
Uri-review mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/uri-review